Subject: bug#56197: [PATCH v3] lisp: Introduce a `lisp-fill-paragraph-as-displayed' variable.

From: Maxim Cournoyer <[email-masked]>
Date: Mon, 03 Feb 2025 22:31:04 +0900

Hi,

Eli Zaretskii <[email-masked]> writes:

>> From: Felix Lechner <[email-masked]>
>> Cc: [email-masked],  [email-masked],  [email-masked],
>>   [email-masked]
>> Date: Sun, 02 Feb 2025 13:13:12 -0800
>> 
>> Hi Eli,
>> 
>> On Sun, Feb 02 2025, Eli Zaretskii wrote:
>> 
>> > "In" would be correct if we were talking about filling doc strings and
>> > them only
>> 
>> Then I would use 'fill-strings-like-doc-strings' or, if the prefix must
>> match, 'fill-paragraphs-in-strings-like-doc-strings'.

Felix, what is the reason you insist on the 'in-strings' part?  Is this
to try to express the fact that the code is narrowing down on
strings and *then* filling, rather than filling everything at and around
the pointer?

> "As" and "like" are synonyms in this case.  And using "string" twice
> in the name sounds like unnecessary tautology to me.  "Paragraphs" is
> better, because we do really fill paragraphs, not strings.
>
> So I see nothing wrong with the current name that would justify yet
> another rename.  We are splitting hair, IMO.

It seems to me there is diminishing returns at this point trying to nail
the elusive perfect name :-).  I'd suggest we move on.

-- 
Thanks,
Maxim